package com.steering.mes.zgmil.entity;

/**
 * 数据库表MIL_SURFACE_RESULT所对应的实体类（生成工具：代码生成器3.0）
 * @author PC201506012023   date 2015-09-14
 */
public class MilSurfaceResultEntity implements java.io.Serializable {
	  private static final long serialVersionUID = 1L;
	  
	/***
	 * 操作人ID
	 */
	private String userId = "";  
    public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	/**
     * 实绩编号
     */
    private String resultNo = "";
    /**
     * 重量系数
     */
    private String heightRate = "";
    /**
     * 炉号
     */
    private String heatNo = "";
    /**
     * 轧批号
     */
    private String rollLotNo = "";
    /**
     * 厂线代码
     */
    private String plineCode = "";
    /**
     * 钢种
     */
    private String type = "";
    /**
     * 外径（目标）
     */
    private String targetDiameter = "";
    /**
     * 壁厚（目标）
     */
    private String targetThickness = "";
    /**
     * 长度（目标）
     */
    private String targetLength = "";
    /**
     * 取样管外径最小值
     */
    private String pipeDiamMin = "";
    /**
     * 取样管壁厚最大值
     */
    private String pipeThicknessMax = "";
    /**
     * 取样管外径最大值
     */
    private String pipeDiamMax = "";
    /**
     * 取样管壁厚最小值
     */
    private String pipeThicknessMin = "";
    /**
     * 不圆度
     */
    private String nonRoundness = "";
    /**
     * 不均度
     */
    private String unevenDegree = "";
    /**
     * 长度
     */
    private String length = "";
    /**
     * 重量
     */
    private String weight = "";
    /**
     * 总检量
     */
    private String directorQuantity = "";
    /**
     * 下线量
     */
    private String offlineQuantity = "";
    /**
     * 质检员
     */
    private String inspector = "";
    /**
     * 废品量
     */
    private String wasteQuantity = "";
    /**
     * 合格量支
     */
    private String qualifiedBranch = "";
    /**
     * 合格量吨
     */
    private String qualifiedTons = "";
    /**
     * 管端直度
     */
    private String headStraight = "";
    /**
     * 管体直度
     */
    private String bodyStraight = "";
    /**
     * 椭圆度
     */
    private String ellipseDegree = "";
    /**
     * 式样号
     */
    private String patternNumber = "";
    /**
     * 理化性能
     */
    private String phyProperties = "";
    /**
     * 监制人
     */
    private String executiveProducer = "";
    /**
     * 监制时间
     */
    private String producerTime = "";
    /**
     * 监制人电话
     */
    private String producerTel = "";
    /**
     * 备注
     */
    private String remark = "";
    /**
     * 采集方式(0-接口采集，1-人工录入)
     */
    private String colMode = "";
    /**
     * 采集/录入时间
     */
    private String colTime = "";
    /**
     * 操作人
     */
    private String colUser = "";
    /**
     * 操作班次
     */
    private String colShift = "";
    /**
     * 操作班组
     */
    private String colGroup = "";
    /**
     * 开始时间
     */
    private String StartTime = "";
    /**
     * 结束时间
     */
    private String EndTime = "";
    /**
     * 结炉标识
     */
    private String nodeFlag="";

    /**
     * 抽检率
     */
    private String simpleRate="";
    /*
    * 一次总检量
    */
   private String directorQuantityF = "";
   /**
    * 一次下线量
    */
   private String offlineQuantityF = "";
   /**
    * 一次质检员
    */
   private String inspectorF = "";
   /**
    * 一次废品量
    */
   private String wasteQuantityF = "";
   /**
    * 一次合格量支
    */
   private String qualifiedBranchF = "";
   /**
    * 一次合格量吨
    */
   private String qualifiedTonsF = "";
   /**
    * 二次总检量
    */
   private String directorQuantityS = "";
   /**
    * 二次下线量
    */
   private String offlineQuantityS = "";
   /**
    * 二次质检员
    */
   private String inspectorS = "";
   /**
    * 二次废品量
    */
   private String wasteQuantityS = "";
   /**
    * 二次合格量支
    */
   private String qualifiedBranchS = "";
   /**
    * 二次合格量吨
    */
   private String qualifiedTonsS = "";
   
   /**
    * 轧管订单编号
    */
   private String proPlanId;
   
   /**
    * 工序排产序号
    */
   private String gxPlanNo;
   
    /**
     * 实绩编号
     * @return value
     */
    public String getResultNo() {
        return resultNo;
    }

    /**
     * 实绩编号
     * @param resultNo value
     */
    public void setResultNo(String resultNo) {
        this.resultNo = resultNo;
    }

    /**
     * 炉号
     * @return value
     */
    public String getHeatNo() {
        return heatNo;
    }

    /**
     * 炉号
     * @param heatNo value
     */
    public void setHeatNo(String heatNo) {
        this.heatNo = heatNo;
    }

    /**
     * 轧批号
     * @return value
     */
    public String getRollLotNo() {
        return rollLotNo;
    }

    /**
     * 轧批号
     * @param rollLotNo value
     */
    public void setRollLotNo(String rollLotNo) {
        this.rollLotNo = rollLotNo;
    }

    /**
     * 厂线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 厂线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 钢种
     * @return value
     */
    public String getType() {
        return type;
    }

    /**
     * 钢种
     * @param type value
     */
    public void setType(String type) {
        this.type = type;
    }

    /**
     * 外径（目标）
     * @return value
     */
    public String getTargetDiameter() {
        return targetDiameter;
    }

    /**
     * 外径（目标）
     * @param targetDiameter value
     */
    public void setTargetDiameter(String targetDiameter) {
        this.targetDiameter = targetDiameter;
    }

    /**
     * 壁厚（目标）
     * @return value
     */
    public String getTargetThickness() {
        return targetThickness;
    }

    /**
     * 壁厚（目标）
     * @param targetThickness value
     */
    public void setTargetThickness(String targetThickness) {
        this.targetThickness = targetThickness;
    }

    /**
     * 长度（目标）
     * @return value
     */
    public String getTargetLength() {
        return targetLength;
    }

    /**
     * 长度（目标）
     * @param targetLength value
     */
    public void setTargetLength(String targetLength) {
        this.targetLength = targetLength;
    }

    /**
     * 取样管外径最小值
     * @return value
     */
    public String getPipeDiamMin() {
        return pipeDiamMin;
    }

    /**
     * 取样管外径最小值
     * @param pipeDiamMin value
     */
    public void setPipeDiamMin(String pipeDiamMin) {
        this.pipeDiamMin = pipeDiamMin;
    }

    /**
     * 取样管壁厚最大值
     * @return value
     */
    public String getPipeThicknessMax() {
        return pipeThicknessMax;
    }

    /**
     * 取样管壁厚最大值
     * @param pipeThicknessMax value
     */
    public void setPipeThicknessMax(String pipeThicknessMax) {
        this.pipeThicknessMax = pipeThicknessMax;
    }

    /**
     * 取样管外径最大值
     * @return value
     */
    public String getPipeDiamMax() {
        return pipeDiamMax;
    }

    /**
     * 取样管外径最大值
     * @param pipeDiamMax value
     */
    public void setPipeDiamMax(String pipeDiamMax) {
        this.pipeDiamMax = pipeDiamMax;
    }

    /**
     * 取样管壁厚最小值
     * @return value
     */
    public String getPipeThicknessMin() {
        return pipeThicknessMin;
    }

    /**
     * 取样管壁厚最小值
     * @param pipeThicknessMin value
     */
    public void setPipeThicknessMin(String pipeThicknessMin) {
        this.pipeThicknessMin = pipeThicknessMin;
    }

    /**
     * 不圆度
     * @return value
     */
    public String getNonRoundness() {
        return nonRoundness;
    }

    /**
     * 不圆度
     * @param nonRoundness value
     */
    public void setNonRoundness(String nonRoundness) {
        this.nonRoundness = nonRoundness;
    }

    /**
     * 不均度
     * @return value
     */
    public String getUnevenDegree() {
        return unevenDegree;
    }

    /**
     * 不均度
     * @param unevenDegree value
     */
    public void setUnevenDegree(String unevenDegree) {
        this.unevenDegree = unevenDegree;
    }

    /**
     * 长度
     * @return value
     */
    public String getLength() {
        return length;
    }

    /**
     * 长度
     * @param length value
     */
    public void setLength(String length) {
        this.length = length;
    }

    /**
     * 重量
     * @return value
     */
    public String getWeight() {
        return weight;
    }

    /**
     * 重量
     * @param weight value
     */
    public void setWeight(String weight) {
        this.weight = weight;
    }

    /**
     * 总检量
     * @return value
     */
    public String getDirectorQuantity() {
        return directorQuantity;
    }

    /**
     * 总检量
     * @param directorQuantity value
     */
    public void setDirectorQuantity(String directorQuantity) {
        this.directorQuantity = directorQuantity;
    }

    /**
     * 下线量
     * @return value
     */
    public String getOfflineQuantity() {
        return offlineQuantity;
    }

    /**
     * 下线量
     * @param offlineQuantity value
     */
    public void setOfflineQuantity(String offlineQuantity) {
        this.offlineQuantity = offlineQuantity;
    }

    /**
     * 质检员
     * @return value
     */
    public String getInspector() {
        return inspector;
    }

    /**
     * 质检员
     * @param inspector value
     */
    public void setInspector(String inspector) {
        this.inspector = inspector;
    }

    /**
     * 废品量
     * @return value
     */
    public String getWasteQuantity() {
        return wasteQuantity;
    }

    /**
     * 废品量
     * @param wasteQuantity value
     */
    public void setWasteQuantity(String wasteQuantity) {
        this.wasteQuantity = wasteQuantity;
    }

    /**
     * 合格量支
     * @return value
     */
    public String getQualifiedBranch() {
        return qualifiedBranch;
    }

    /**
     * 合格量支
     * @param qualifiedBranch value
     */
    public void setQualifiedBranch(String qualifiedBranch) {
        this.qualifiedBranch = qualifiedBranch;
    }

    /**
     * 合格量吨
     * @return value
     */
    public String getQualifiedTons() {
        return qualifiedTons;
    }

    /**
     * 合格量吨
     * @param qualifiedTons value
     */
    public void setQualifiedTons(String qualifiedTons) {
        this.qualifiedTons = qualifiedTons;
    }

    /**
     * 管端直度
     * @return value
     */
    public String getHeadStraight() {
        return headStraight;
    }
    /**
     * 重量系数
     * @return value
     */
    public String getHeightRate() {
        return heightRate;
    }

    /**
     * 重量系数
     * @param heightRate value
     */
    public void setHeightRate(String heightRate) {
        this.heightRate = heightRate;
    }
    /**
     * 管端直度
     * @param headStraight value
     */
    public void setHeadStraight(String headStraight) {
        this.headStraight = headStraight;
    }

    /**
     * 管体直度
     * @return value
     */
    public String getBodyStraight() {
        return bodyStraight;
    }

    /**
     * 管体直度
     * @param bodyStraight value
     */
    public void setBodyStraight(String bodyStraight) {
        this.bodyStraight = bodyStraight;
    }

    /**
     * 椭圆度
     * @return value
     */
    public String getEllipseDegree() {
        return ellipseDegree;
    }

    /**
     * 椭圆度
     * @param ellipseDegree value
     */
    public void setEllipseDegree(String ellipseDegree) {
        this.ellipseDegree = ellipseDegree;
    }

    /**
     * 式样号
     * @return value
     */
    public String getPatternNumber() {
        return patternNumber;
    }

    /**
     * 式样号
     * @param patternNumber value
     */
    public void setPatternNumber(String patternNumber) {
        this.patternNumber = patternNumber;
    }

    /**
     * 理化性能
     * @return value
     */
    public String getPhyProperties() {
        return phyProperties;
    }

    /**
     * 理化性能
     * @param phyProperties value
     */
    public void setPhyProperties(String phyProperties) {
        this.phyProperties = phyProperties;
    }

    /**
     * 监制人
     * @return value
     */
    public String getExecutiveProducer() {
        return executiveProducer;
    }

    /**
     * 监制人
     * @param executiveProducer value
     */
    public void setExecutiveProducer(String executiveProducer) {
        this.executiveProducer = executiveProducer;
    }

    /**
     * 监制时间
     * @return value
     */
    public String getProducerTime() {
        return producerTime;
    }

    /**
     * 监制时间
     * @param producerTime value
     */
    public void setProducerTime(String producerTime) {
        this.producerTime = producerTime;
    }

    /**
     * 监制人电话
     * @return value
     */
    public String getProducerTel() {
        return producerTel;
    }

    /**
     * 监制人电话
     * @param producerTel value
     */
    public void setProducerTel(String producerTel) {
        this.producerTel = producerTel;
    }

    /**
     * 备注
     * @return value
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 备注
     * @param remark value
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * 采集方式(0-接口采集，1-人工录入)
     * @return value
     */
    public String getColMode() {
        return colMode;
    }

    /**
     * 采集方式(0-接口采集，1-人工录入)
     * @param colMode value
     */
    public void setColMode(String colMode) {
        this.colMode = colMode;
    }

    /**
     * 采集/录入时间
     * @return value
     */
    public String getColTime() {
        return colTime;
    }

    /**
     * 采集/录入时间
     * @param colTime value
     */
    public void setColTime(String colTime) {
        this.colTime = colTime;
    }

    /**
     * 操作人
     * @return value
     */
    public String getColUser() {
        return colUser;
    }

    /**
     * 操作人
     * @param colUser value
     */
    public void setColUser(String colUser) {
        this.colUser = colUser;
    }

    /**
     * 操作班次
     * @return value
     */
    public String getColShift() {
        return colShift;
    }

    /**
     * 操作班次
     * @param colShift value
     */
    public void setColShift(String colShift) {
        this.colShift = colShift;
    }
    /**
     * 操作班组
     * @return value
     */
    public String getColGroup() {
        return colGroup;
    }

    /**
     * 操作班组
     * @param colGroup value
     */
    public void setColGroup(String colGroup) {
        this.colGroup = colGroup;
    }
    /**
     * 开始时间
     * @return value
     */
    public String getStartTime() {
        return StartTime;
    }

    /**
     * 开始时间
     * @param colGroup value
     */
    public void setStartTime(String StartTime) {
        this.StartTime = StartTime;
    }
    /**
     * 结束时间
     * @return value
     */
    public String getEndTime() {
        return EndTime;
    }
    /**
     * 结束时间
     * @param colGroup value
     */
    public void setEndTime(String EndTime) {
        this.EndTime = EndTime;
    }

    /**
     * 结炉标识
     * @return value
     */
    public String getNodeFlag() {
        return nodeFlag;
    }

    /**
     * 结炉标识
     * @param nodeFlag value
     */
    public void setNodeFlag(String nodeFlag) {
        this.nodeFlag = nodeFlag;
    }
    /**
     * 抽检率
     * @return value
     */
    public String getSimpleRate() {
        return simpleRate;
    }

    /**
     * 结炉标识
     * @param nodeFlag value
     */
    public void setSimpleRate(String simpleRate) {
        this.simpleRate = simpleRate;
    }
   
    /**
     * 一次总检量
     * @return value
     */
    public String getDirectorQuantityF() {
        return directorQuantityF;
    }

    /**
     * 一次总检量
     * @param directorQuantityF value
     */
    public void setDirectorQuantityF(String directorQuantityF) {
        this.directorQuantityF = directorQuantityF;
    }

    /**
     * 一次下线量
     * @return value
     */
    public String getOfflineQuantityF() {
        return offlineQuantityF;
    }

    /**
     * 一次下线量
     * @param offlineQuantityF value
     */
    public void setOfflineQuantityF(String offlineQuantityF) {
        this.offlineQuantityF = offlineQuantityF;
    }

    /**
     * 一次质检员
     * @return value
     */
    public String getInspectorF() {
        return inspectorF;
    }

    /**
     * 一次质检员
     * @param inspectorF value
     */
    public void setInspectorF(String inspectorF) {
        this.inspectorF = inspectorF;
    }

    /**
     * 一次废品量
     * @return value
     */
    public String getWasteQuantityF() {
        return wasteQuantityF;
    }

    /**
     * 一次废品量
     * @param wasteQuantityF value
     */
    public void setWasteQuantityF(String wasteQuantityF) {
        this.wasteQuantityF = wasteQuantityF;
    }

    /**
     * 一次合格量支
     * @return value
     */
    public String getQualifiedBranchF() {
        return qualifiedBranchF;
    }

    /**
     * 一次合格量支
     * @param qualifiedBranchF value
     */
    public void setQualifiedBranchF(String qualifiedBranchF) {
        this.qualifiedBranchF = qualifiedBranchF;
    }

    /**
     * 一次合格量吨
     * @return value
     */
    public String getQualifiedTonsF() {
        return qualifiedTonsF;
    }

    /**
     * 一次合格量吨
     * @param qualifiedTonsF value
     */
    public void setQualifiedTonsF(String qualifiedTonsF) {
        this.qualifiedTonsF = qualifiedTonsF;
    }

    /**
     * 二次总检量
     * @return value
     */
    public String getDirectorQuantityS() {
        return directorQuantityS;
    }

    /**
     * 二次总检量
     * @param directorQuantityS value
     */
    public void setDirectorQuantityS(String directorQuantityS) {
        this.directorQuantityS = directorQuantityS;
    }

    /**
     * 二次下线量
     * @return value
     */
    public String getOfflineQuantityS() {
        return offlineQuantityS;
    }

    /**
     * 二次下线量
     * @param offlineQuantityS value
     */
    public void setOfflineQuantityS(String offlineQuantityS) {
        this.offlineQuantityS = offlineQuantityS;
    }

    /**
     * 二次质检员
     * @return value
     */
    public String getInspectorS() {
        return inspectorS;
    }

    /**
     * 二次质检员
     * @param inspectorS value
     */
    public void setInspectorS(String inspectorS) {
        this.inspectorS = inspectorS;
    }

    /**
     * 二次废品量
     * @return value
     */
    public String getWasteQuantityS() {
        return wasteQuantityS;
    }

    /**
     * 二次废品量
     * @param wasteQuantityS value
     */
    public void setWasteQuantityS(String wasteQuantityS) {
        this.wasteQuantityS = wasteQuantityS;
    }

    /**
     * 二次合格量支
     * @return value
     */
    public String getQualifiedBranchS() {
        return qualifiedBranchS;
    }

    /**
     * 二次合格量支
     * @param qualifiedBranchS value
     */
    public void setQualifiedBranchS(String qualifiedBranchS) {
        this.qualifiedBranchS = qualifiedBranchS;
    }

    /**
     * 二次合格量吨
     * @return value
     */
    public String getQualifiedTonsS() {
        return qualifiedTonsS;
    }

    /**
     * 二次合格量吨
     * @param qualifiedTonsS value
     */
    public void setQualifiedTonsS(String qualifiedTonsS) {
        this.qualifiedTonsS = qualifiedTonsS;
    }

	public String getProPlanId() {
		return proPlanId;
	}

	public void setProPlanId(String proPlanId) {
		this.proPlanId = proPlanId;
	}

	public String getGxPlanNo() {
		return gxPlanNo;
	}

	public void setGxPlanNo(String gxPlanNo) {
		this.gxPlanNo = gxPlanNo;
	}
    
    
    
}